Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.thread
Class PosTaggerThread

    java.lang.Object
      java.lang.Thread
          kr.ac.kaist.swrc.jhannanum.thread.PosTaggerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class PosTaggerThread

extends java.lang.Thread

This class makes the POS tagger plug-in to run on a thread.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`private java.util.concurrent.LinkedBlockingQueue<SetOfSentences>` | `in` input queue
`private java.util.concurrent.LinkedBlockingQueue<Sentence>` | `out` output queue
`private PosTagger` | `tagger` the POS tagger plug-in

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`PosTaggerThread(PosTagger tagger, java.util.concurrent.LinkedBlockingQueue<SetOfSentences> in, java.util.concurrent.LinkedBlockingQueue<Sentence> out)` Constructor.

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tagger

    private PosTagger tagger

  the POS tagger plug-in

### in

    private java.util.concurrent.LinkedBlockingQueue<SetOfSentences> in

  input queue

### out

    private java.util.concurrent.LinkedBlockingQueue<Sentence> out

  output queue

Constructor Detail

### PosTaggerThread

    public PosTaggerThread(PosTagger tagger,
                           java.util.concurrent.LinkedBlockingQueue<SetOfSentences> in,
                           java.util.concurrent.LinkedBlockingQueue<Sentence> out)

  Constructor.

  Parameters:
    `tagger` - - the POS tagger plug-in
    `in` - - input queue
    `out` - - output queue

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD